Bug 308990 - Animate Window Maximize/Restore
Summary: Animate Window Maximize/Restore
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-various (show other bugs)
Version: 4.9.2
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 4.10
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-25 17:42 UTC by Martin Flöser
Modified: 2012-11-27 12:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-10-25 17:42:11 UTC
KWin is currently lacking a window maximize/restore effect. That should be fixed.
Comment 1 Martin Flöser 2012-10-28 08:51:19 UTC
Git commit e7be09916a62be6266c9f45d6688dca7eacfa71f by Martin Gräßlin.
Committed on 26/10/2012 at 11:50.
Pushed by graesslin into branch 'master'.

New Maximize Window Effect

Animation for going from restored to maximized and vice versa.
FIXED-IN: 4.10
REVIEW: 107050

M  +1    -0    kwin/effects/CMakeLists.txt
A  +1    -0    kwin/effects/maximize/CMakeLists.txt
A  +6    -0    kwin/effects/maximize/package/CMakeLists.txt
A  +60   -0    kwin/effects/maximize/package/contents/code/maximize.js
A  +21   -0    kwin/effects/maximize/package/metadata.desktop

http://commits.kde.org/kde-workspace/e7be09916a62be6266c9f45d6688dca7eacfa71f
Comment 2 rockonthemoonfm 2012-11-27 12:24:36 UTC
hi Martin,

that's smooth, but now i feel the lack of animation when a widow is pushed to side borders and automatically resized to half/a quarter of screen size.

i feel that animating this kind of action is the necessary next step to take

cheers